<?php
	$scriptTopic = Z2M;

	//callback function
	$rdcPanneau = function($topic, $fn, $param, $value)
	{
		global $devices, $indexDevices;
		$delay = 3;
		$timeUnit = "min";
		switch($param)
		{
			case "occupancy":
				if ($value == 1)
				{
					$msg = array("state" => "ON");
					$device = $devices[Z2M][$indexDevices["0x588e81fffe343e8f"]];
					$device->payload = $msg;
					$device->set(null);
					setDelay($device, $delay, $timeUnit, "state", "OFF", true);
				}
				break;
		}
		echo _("notification received from MQTT") . EOL;
		//echo $param . "=> " . $value . EOL;
	};

	//assignation of the function to the sensors devices
	$indexDevices["0x00124b0022ebac5c"]->functions[] = $rdcPanneau;
	$indexDevices["0x588e81fffe2cf695"]->functions[] = $rdcPanneau;
	$indexDevices["0x04cf8cdf3c78aff0"]->functions[] = $rdcPanneau;

?>
